Get shipping options
curl --request GET \
--url https://store.salesive.com/api/v1/shipping/options \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/shipping/options"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/shipping/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"success": true,
"message": "<string>",
"data": [
{
"_id": "<string>",
"name": "<string>",
"carrier": "<string>",
"estimatedDays": "<string>",
"price": 123,
"formattedPrice": "<string>"
}
]
}Shipping
Get shipping options
Retrieve available shipping options for a specific address and order.
GET
/
shipping
/
options
Get shipping options
Request
GET /shipping/options?shippingAddressId=6938e4f0019a97bc42775b59&orderId=6a27d632289b87893fcbde35
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token in the format Bearer <jwt>. |
x-shop-id | string | Identify the shop that owns the order. |
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
shippingAddressId | string | Yes | The shipping address ID to calculate shipping options for. |
orderId | string | Yes | The order ID to calculate shipping costs against. |
Successful response
{
"status": 200,
"success": true,
"message": "Available shipping options retrieved",
"data": [
{
"_id": "69f8f047f5d9d8178331ec8a",
"name": "Standard Delivery",
"description": "Delivered within 3-5 business days.",
"type": "manual",
"price": 5000,
"couriers": [],
"enabled": true,
"deleted": false,
"deletedAt": null,
"shop": "68b8f52575da81b332af29f1",
"pickupAddress": null,
"validatedAddress": null,
"createdAt": "2026-05-04T19:15:19.313Z",
"updatedAt": "2026-05-04T19:15:19.313Z",
"__v": 0
}
]
}
Error response
{
"status": 400,
"success": false,
"message": "\"shippingAddressId\" is required",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Query Parameters
The shipping address ID to calculate shipping options for.
The order ID to calculate shipping costs for.
Was this page helpful?
⌘I

